## LassoSaml2Attribute LassoSaml2Attribute — <saml2:Attribute> |

## Functions

LassoNode * | lasso_saml2_attribute_new ()

## Types and Values

struct | LassoSaml2Attribute

## Description

Figure 49. Schema fragment for saml2:Attribute

    <complexType name="AttributeType">
      <sequence>
        <element ref="saml:AttributeValue" minOccurs="0" maxOccurs="unbounded"/>
      </sequence>
      <attribute name="Name" type="string" use="required"/>
      <attribute name="NameFormat" type="anyURI" use="optional"/>
      <attribute name="FriendlyName" type="string" use="optional"/>
      <anyAttribute namespace="##other" processContents="lax"/>
    </complexType>

## Functions

### lasso_saml2_attribute_new ()

    LassoNode *
    lasso_saml2_attribute_new (void);

Creates a new LassoSaml2Attribute object.

#### Returns

a newly created LassoSaml2Attribute object

## Types and Values

### struct LassoSaml2Attribute

    struct LassoSaml2Attribute {
    	LassoNode parent;

    	/* elements */
    	GList *AttributeValue; /* of LassoNode */
    	/* attributes */
    	char *Name;
    	char *NameFormat;
    	char *FriendlyName;
    };